Retrieve an assets report
curl --request GET \
--url https://prod.truv.com/v1/users/{user_id}/assets/reports/{report_id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/users/{user_id}/assets/reports/{report_id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/users/{user_id}/assets/reports/{report_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_id": "7d4fcb86b81a4880955beea558092391",
"created_at": "2022-05-04T11:30:00Z",
"completed_at": "2022-05-04T12:00:00Z",
"days_requested": 60,
"large_deposit_threshold": 500,
"is_voe": true,
"borrower": {
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"external_user_id": "12345",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+14155554193",
"ssn": "222233333"
},
"links": [
{
"link_id": "150491a20bdb4292bb2a2ad8554fecba",
"accounts": [
{
"id": "4d601895417c46ec99633978db12a866",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"days_available": 365,
"balances": {
"currency_code": "<string>",
"balance": "<string>",
"available_balance": "<string>",
"credit_limit": "<string>"
},
"transactions": [
{
"id": "7d4fcb86b81a4880955beea558092391",
"external_id": "<string>",
"categories": [
"<string>"
],
"status": "POSTED",
"type": "DEBIT",
"transacted_at": "2022-05-04T12:00:00Z",
"amount": "<string>",
"currency_code": "<string>",
"check_number": "<string>",
"description": "<string>",
"posted_at": "2022-05-05T15:30:00Z",
"merchant_name": "Starbucks",
"merchant_category_code": 5967,
"ending_daily_balance": 123,
"is_direct_deposit": true,
"is_subscription": true
}
],
"owners": [
{
"id": "2b623fa2fa9e49cea17d9692caa884c5",
"full_name": "John Doe",
"email": "john.doe@example.com",
"phone": "14155554193",
"address": {
"street": "1 Morgan Ave",
"city": "Los Angeles",
"state": "CA",
"zip": "90210",
"country": "US"
},
"relation_type": "PRIMARY"
}
],
"type": "<string>",
"subtype": "<string>",
"mask": "<string>",
"routing_number": "55999876",
"nickname": "<string>",
"balance_as_of": "2025-05-04T12:00:00Z",
"summary": {
"avg_30": "<string>",
"avg_60": "<string>",
"avg_90": "<string>",
"currency_code": "<string>",
"balance": "<string>"
},
"same_owner_as_requested": true,
"direct_deposit_from_employer": true,
"nsf": 123
}
],
"tracking_info": "<string>",
"provider": "<string>",
"provider_name": "<string>"
}
],
"summary": {
"avg_30": "<string>",
"avg_60": "<string>",
"avg_90": "<string>",
"currency_code": "<string>",
"balance": "<string>"
},
"as_of_date": "2022-05-01"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}User Assets Report
Retrieve an assets report
The endpoint retrieves an assets report for the user.
GET
/
v1
/
users
/
{user_id}
/
assets
/
reports
/
{report_id}
/
Retrieve an assets report
Authorizations
Client ID
Client Access Key
Query Parameters
Response format
Available options:
json, pdf Response
Unique identifier of the report.
Maximum string length:
32Example:
"7d4fcb86b81a4880955beea558092391"
Timestamp when the report was created.
Example:
"2022-05-04T11:30:00Z"
Timestamp when the report was completed.
Example:
"2022-05-04T12:00:00Z"
Number of days for which transactions are requested.
Example:
60
Amount that must be met or exceeded for deposits to be marked as large.
Example:
500
Indicates whether the report is a Deposit-based Verification of Employment (DVOE).
Show child attributes
Show child attributes
List of assets links
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The end date for the report period. Start date will be calculated as as_of_date - days_requested. Defaults to current date if not provided.
Example:
"2022-05-01"
Was this page helpful?
⌘I